function varargout = treatmatrix(varargin)
% TREATMATRIX M-file for treatmatrix.fig
%      TREATMATRIX, by itself, creates a new TREATMATRIX or raises the existing
%      singleton*.
%
%      H = TREATMATRIX returns the handle to a new TREATMATRIX or the handle to
%      the existing singleton*.
%
%      TREATMATRIX('CALLBACK',hObject,eventData,handles,...) calls the local
%      function named CALLBACK in TREATMATRIX.M with the given input arguments.
%
%      TREATMATRIX('Property','Value',...) creates a new TREATMATRIX or raises the
%      existing singleton*.  Starting from the left, property value pairs are
%      applied to the GUI before treatmatrix_OpeningFcn gets called.  An
%      unrecognized property name or invalid value makes property application
%      stop.  All inputs are passed to treatmatrix_OpeningFcn via varargin.
%
%      *See GUI Options on GUIDE's Tools menu.  Choose "GUI allows only one
%      instance to run (singleton)".
%
% See also: GUIDE, GUIDATA, GUIHANDLES

% Edit the above text to modify the response to help treatmatrix

% Last Modified by GUIDE v2.5 04-Dec-2008 13:54:38

% Begin initialization code - DO NOT EDIT
gui_Singleton = 1;
gui_State = struct('gui_Name',       mfilename, ...
                   'gui_Singleton',  gui_Singleton, ...
                   'gui_OpeningFcn', @treatmatrix_OpeningFcn, ...
                   'gui_OutputFcn',  @treatmatrix_OutputFcn, ...
                   'gui_LayoutFcn',  [] , ...
                   'gui_Callback',   []);
if nargin && ischar(varargin{1})
    gui_State.gui_Callback = str2func(varargin{1});
end

if nargout
    [varargout{1:nargout}] = gui_mainfcn(gui_State, varargin{:});
else
    gui_mainfcn(gui_State, varargin{:});
end
% End initialization code - DO NOT EDIT


% --- Executes just before treatmatrix is made visible.
function treatmatrix_OpeningFcn(hObject, eventdata, handles, varargin)
% This function has no output args, see OutputFcn.
% hObject    handle to figure
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
% varargin   command line arguments to treatmatrix (see VARARGIN)
handles.output = hObject;
set(handles.figure1,'CloseRequestFcn',@closedlg);
handles.graf = axes('Box','on','Units','normalized','Position',[0.08 0.1 0.77 0.85],...
    'FontUnits','Points','FontSize',12);
xlabel('Wavenumber [1/cm]');
ylabel('Relative Intensity [a.u.]');
handles.left = uicontrol('Style','edit','Units','normalized','Position',...
    [0.875 0.85 0.1 0.05],'Enable','off','Tag','Left','Callback',{@Left_Callback});
handles.right = uicontrol('Style','edit','Units','normalized','Position',...
    [0.875 0.75 0.1 0.05],'Enable','off','Tag','Right','Callback',{@Right_Callback});
uicontrol('Style','text','Units','normalized','Position',[0.875 0.9 0.1 0.03],...
    'String','Left margin');
uicontrol('Style','text','Units','normalized','Position',[0.875 0.8 0.1 0.03],...
    'String','Right margin');
uicontrol('Style','text','Units','normalized','Position',[0.875 0.7 0.1 0.03],...
    'String','Interpolate by');
handles.box = uibuttongroup('Units','normalized','Position',[0.875 0.6 0.1 0.1]);
handles.one = uicontrol('Style','radiobutton','Units','normalized','Position',...
    [0 0.5 1 0.5],'String','1 1/cm','Parent',handles.box);
handles.half = uicontrol('Style','radiobutton','Units','normalized','Position',...
    [0 0 1 0.5],'String','0.5 1/cm','Parent',handles.box);
handles.save = uicontrol('Style','pushbutton','Units','normalized','Position',...
    [0.875 0.15 0.1 0.1],'String','Save','Callback',{@Save_Callback, handles},...
    'Enable','off','ToolTipString','Saves the output into a file');
handles.cut = uicontrol('Style','pushbutton','Units','normalized','Position',...
    [0.875 0.3 0.1 0.1],'String','Cut','Callback',{@Cut_Callback, handles},...
    'Enable','off','ToolTipString','Cuts data by selection');
handles.load = uicontrol('Style','pushbutton','Units','normalized','Position',...
    [0.875 0.45 0.1 0.1],'String','Load','Callback',{@Load_Callback, handles},...
    'ToolTipString','Will load data into workspace');
guidata(hObject,handles);



% UIWAIT makes treatmatrix wait for user response (see UIRESUME)
% uiwait(handles.figure1);


% --- Outputs from this function are returned to the command line.
function varargout = treatmatrix_OutputFcn(hObject, eventdata, handles) 
% varargout  cell array for returning output args (see VARARGOUT);
% hObject    handle to figure
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Get default command line output from handles structure
varargout{1} = handles.output;

function Left_Callback(hObject, eventdata, handles)
treatmatrix_switcher('set');

function Right_Callback(hObject, eventdata, handles)
treatmatrix_switcher('set');

function Load_Callback(hObject, eventdata, handles)
treatmatrix_switcher('input');
treatmatrix_switcher('read',handles);
treatmatrix_switcher('display',handles);%opravit aby se nedelalo pokud selze nacteni
set(handles.cut,'Enable','on');

function Save_Callback(hObject, eventdata, handles);
treatmatrix_switcher('save');

function Cut_Callback(hObject, eventdata, handles);
treatmatrix_switcher('cut', handles);
set(handles.save,'Enable','on');

% --------------------------------------------------------------------
% --------------------------------------------------------------------

function closedlg(event,str)
selection = questdlg('Are you sure?','Closing GUI','Yes','No','Yes');
switch selection,
   case 'Yes',
    delete(gcf)
   case 'No'
     return
end